function image_density

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 2.13 to 2.15 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temp = [2:1:20];
m = temp;
[rhoc1  ]= eos_co2(15,temp);
[rhoc2  ]= eos_co2(21,temp);
[rhom1  ]= eos_ch4(15,temp);
[rhom2 ]= eos_ch4(21,temp);
[rhow1 ]= eos_sw(15,temp,35);
[rhow2]= eos_sw(21,temp,35);
for i = 1:length(temp)
    m(i) = solu_co2(15,temp(i),35);
end
[rhocw1  ]= density_co2sw(15,temp,35,m);
for i = 1:length(temp)
    m(i) = solu_co2(21,temp(i),35);
end
[rhocw2  ]= density_co2sw(21,temp,35,m);
for i = 1:length(temp)
    m(i) = solu_ch4(15,temp(i),35);
end
[rhomw1  ]= density_ch4sw(15,temp,35,m);
for i = 1:length(temp)
    m(i) = solu_ch4(21,temp(i),35);
end
[rhomw2 ]= density_ch4sw(21,temp,35,m);

for i = 1:length(temp)
    m(i) = solu_n2sw(15,temp(i),35);
end
[rhonw1  ]= density_n2sw(15,temp,35,m);
for i = 1:length(temp)
    m(i) = solu_n2sw(21,temp(i),35);
end
[rhonw2  ]= density_n2sw(21,temp,35,m);

figure(1)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20],'ylim',[1 1.06]);
xlabel('T / C','FontSize',16)
ylabel('\rho / (kg/dm^3)','FontSize',16)
plot(temp,rhow1./1000,'b','LineWidth',2)
plot(temp,rhomw1./1000,'Color',[1,0.6,0],'LineWidth',2)
plot(temp,rhocw1./1000,'c','LineWidth',2)
plot(temp,rhonw1./1000,'Color',[0.5,0.5,0.5],'LineWidth',2)
plot(temp,rhow2./1000,'--b','LineWidth',2)
plot(temp,rhomw2./1000,'Linestyle','--','Color',[1,0.6,0],'LineWidth',2)
plot(temp,rhocw2./1000,'--c','LineWidth',2)
plot(temp,rhonw2./1000,'Color',[0.5,0.5,0.5],'LineWidth',2,'Linestyle','--')
text(4,1.05,'p = 15 MPa','FontSize',12)
%text(16,3400,'p = 15 MPa','FontSize',12)
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('seawater','seawater+CH_4','seawater+CO_2','seawater+N_2','seawater','seawater+CH_4','seawater+CO_2','seawater+N_2', 'location','SouthWest' )
hold off

figure(2)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('\rho / (kg/dm^3)','FontSize',16)
plot(temp,rhow1./1000,'b','LineWidth',2)
plot(temp,rhom1./1000,'r','LineWidth',2)
plot(temp,rhoc1./1000,'k','LineWidth',2)
plot(temp,rhow2./1000,'--b','LineWidth',2)
plot(temp,rhom2./1000,'--r','LineWidth',2)
plot(temp,rhoc2./1000,'--k','LineWidth',2)
text(4,0.9,'p = 15 MPa','FontSize',12)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('seawater','CH_4','CO_2','seawater','CH_4','CO_2','location','West' )
hold off

press = [1:0.5:40];
[rhoc1  ]= eos_co2(press,2);
[rhoc2  ]= eos_co2(press,20);
[rhom1  ]= eos_ch4(press,2);
[rhom2 ]= eos_ch4(press,20);
[rhow1 ]= eos_sw(press,2,35);
[rhow2]= eos_sw(press,20,35);
m = press;
%for i = 1:length(press)
 %   m(i) = solu_co2gl(press(i),2,35);
%end
[rhocw1  ]= density_co2sw(press,2,35);
%for i = 1:length(press)
 %   m(i) = solu_co2gl(press(i),20,35);
%end
[rhocw2  ]= density_co2sw(press,20,35);
%for i = 1:length(press)
%    m(i) = solu_ch4gas(press(i),2,35);
%end
[rhomw1  ]= density_ch4sw(press,2,35);
%for i = 1:length(press)
%    m(i) = solu_ch4gas(press(i),20,35);
%end
[rhomw2 ]= density_ch4sw(press,20,35);

[rhonw1  ]= density_n2sw(press,2,35);
%for i = 1:length(press)
 %   m(i) = solu_co2gl(press(i),20,35);
%end
[rhonw2  ]= density_n2sw(press,20,35);


figure(3)
clf
hold on
set(gca,'FontSize',14,'xlim',[3 40],'ylim',[1 1.055]);
xlabel('p / MPa','FontSize',16)
ylabel('\rho / (kg/dm^3)','FontSize',16)
plot(press,rhow1./1000,'b','LineWidth',2)
plot(press,rhomw1./1000,'Color',[1,0.6,0],'LineWidth',2)
plot(press,rhocw1./1000,'c','LineWidth',2)
plot(press,rhonw1./1000,'Color',[0.5,0.5,0.5],'LineWidth',2)
plot(press,rhow2./1000,'--b','LineWidth',2)
plot(press,rhomw2./1000,'Color',[1,0.6,0],'linestyle','--','LineWidth',2)
plot(press,rhocw2./1000,'--c','LineWidth',2)
plot(press,rhonw2./1000,'Color',[0.5,0.5,0.5],'LineWidth',2,'Linestyle','--')
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
text(5,1.05,'T =  2C','FontSize',12)
legend('seawater','seawater+CH_4','seawater+CO_2','seawater+N_2','seawater','seawater+CH_4','seawater+CO_2','seawater+N_2', 'location','SouthWest' )
hold off



press = [0:10:2100];
m = press;
temp= press;
temp(1:61) = [23:-18.5/60:4.5];
temp(61:151) = [4.5:-2.5/90:2];
temp(151:211) = [2:18/60:20];


rw = temp;
rc = temp;
rm = temp;
rcw = temp;
rmw = temp;

%for i = 1:171 
 %      m = solu_co2gl(press(i)./1000.*9.80665+0.1,temp(i),35); 
%           m2 = solu_ch4gas(press(i)./1000.*9.80665+0.1,temp(i),35); 
 %[rc(i) ]= eos_co2(press(i)./1000.*9.80665+0.1,temp(i));
%[rm(i) ]= eos_ch4(press(i)./1000.*9.80665+0.1,temp(i));
%[rw(i) ]= eos_seawater(press(i)./1000.*9.80665+0.1,temp(i),35); 

%rcw(i) = density_co2sw(press(i)./1000.*9.80665+0.1,temp(i),35,m); 
%rmw(i) = density_ch4sw(press(i)./1000.*9.80665+0.1,temp(i),35,m2); 
%end

for i = 1:211 
   %    m(i) = solu_co2gl(press(i)./1000.*9.80665+0.1,temp(i),35); 
    %       m2 = solu_ch4gas(press(i)./1000.*9.80665+0.1,temp(i),35); 
 [rc(i) ]= eos_co2(press(i)./1000.*9.80665+0.1,temp(i));
[rm(i) ]= eos_ch4(press(i)./1000.*9.80665+0.1,temp(i));
[rw(i) ]= eos_sw(press(i)./1000.*9.80665+0.1,temp(i),35); 
[rn(i) ]= eos_n2(press(i)./1000.*9.80665+0.1,temp(i));

rcw(i) = density_co2sw(press(i)./1000.*9.80665+0.1,temp(i),35); 
rmw(i) = density_ch4sw(press(i)./1000.*9.80665+0.1,temp(i),35); 
rnw(i) = density_n2sw(press(i)./1000.*9.80665+0.1,temp(i),35); 
end

figure(6)
clf
 title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',14,'ylim',[0 2110],'xlim',[0 1.3]);
ylabel('water depth / m','FontSize',16)
xlabel('\rho / (kg/dm^3)','FontSize',16)
plot(rw./1000,press,'b','LineWidth',2)
plot(rm./1000,press,'r','LineWidth',2)
plot(rc./1000,press,'k','LineWidth',2)
plot(rn./1000,press,'Linestyle','--','Color',[0.4,0,1],'LineWidth',2)
text(1.05,1600,'seafloor','fontsize',14,'Color',[0.7,0.5,0.5]);
line([0 1.3],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
%set(gca,'FontSize',10);
legend('seawater','CH_4','CO_2','N_2','location','South' )
hold off

figure(7)
clf
 title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',14,'ylim',[0 2110],'xlim',[1.02 1.07]);
ylabel('water depth / m','FontSize',16)
xlabel('\rho / (kg/dm^3)','FontSize',16)
plot(rw./1000,press,'b','LineWidth',2)
plot(rmw./1000,press,'Color',[1,0.6,0],'LineWidth',2)
plot(rcw./1000,press,'c','LineWidth',2)
plot(rnw./1000,press,'Linestyle','--','Color',[0.5,0.5,0.5],'LineWidth',2)
text(1.06,1600,'seafloor','fontsize',14,'Color',[0.7,0.5,0.5]);
line([1.02 1.08],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
%set(gca,'FontSize',10);
legend('seawater','CH_4+seawater','CO_2+seawater','N_2+seawater', 'location','East' )
% hold off
hold off

figure(8)
clf
title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',16,'ylim',[0 2110]);
ylabel('water depth / m','FontSize',16)
xlabel('V / (l/kg)','FontSize',16)
plot(1./(rw./1000),press,'b','LineWidth',2)
plot(1./(rm./1000),press,'r','LineWidth',2)
plot(1./(rc./1000),press,'k','LineWidth',2)
plot(1./(rn./1000),'Linestyle','--','Color',[0.5,0.5,0.5],'LineWidth',2)
line([0.5 4],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
set(gca,'FontSize',10);
legend('seawater','CH_4','CO_2','N_2','location','South' )
hold off

figure(9)
clf
title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',16,'ylim',[0 2110]);
ylabel('water depth / m','FontSize',16)
xlabel('V / (l/kg)','FontSize',16)
plot(1./rw.*1000,press,'b','LineWidth',2)
plot(1./rmw.*1000,press,'m','LineWidth',2)
plot(1./rcw.*1000,press,'c','LineWidth',2)
plot(1./rnw.*1000,press,'Linestyle','--','Color',[0.5,0.5,0.5],'LineWidth',2)
line([0.5 4],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
set(gca,'FontSize',10);
legend('seawater','CH_4+seawater','CO_2+seawater','N_2+seawater', 'location','East' )
hold off