function image_density2


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 2.9 to 2.12 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temp = [2:1:20];
m = temp;
[rhow1  ]= eos_n2(15,temp);
[rhow2  ]= eos_n2(21,temp);
[rhom1  ]= eos_o2(15,temp);
[rhom2 ]= eos_o2(21,temp);
[rhoc1 ]= eos_h2s(15,temp);
[rhoc2]= eos_h2s(21,temp);


figure(2)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('\rho / (kg/dm^3)','FontSize',16)
plot(temp,rhow1./1000,'Color',[0.4,0,1],'LineWidth',2)
plot(temp,rhom1./1000,'-m','LineWidth',2)
plot(temp,rhoc1./1000,'Color',[0.9,1,0],'LineWidth',2)
plot(temp,rhow2./1000,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(temp,rhom2./1000,'--m','LineWidth',2)
plot(temp,rhoc2./1000,'Color',[0.9,1,0],'LineWidth',2,'Linestyle','--')
text(4,0.9,'p = 15 MPa','FontSize',12)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('N_2','O_2','H_2S','N_2','O_2','H_2S','location','West' )
hold off

press = [1:0.5:40];

[rhow1  ]= eos_n2(press,2);
[rhow2  ]= eos_n2(press,20);
[rhom1  ]= eos_o2(press,2);
[rhom2 ]= eos_o2(press,20);
[rhoc1 ]= eos_h2s(press,2);
[rhoc2]= eos_h2s(press,20);

figure(3)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('p / MPa','FontSize',16)
ylabel('\rho / (kg/dm^3)','FontSize',16)
plot(press,rhow1./1000,'Color',[0.4,0,1],'LineWidth',2)
plot(press,rhom1./1000,'-m','LineWidth',2)
plot(press,rhoc1./1000,'Color',[0.9,1,0],'LineWidth',2)
plot(press,rhow2./1000,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(press,rhom2./1000,'--m','LineWidth',2)
plot(press,rhoc2./1000,'Color',[0.9,1,0],'LineWidth',2,'Linestyle','--')
 text(5,0.6,'T =  2C','FontSize',12)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('N_2','O_2','H_2S','N_2','O_2','H_2S','location','West' )
hold off

temp = [0:20:600];
m = temp;
[rhow1  ]= eos_h2o(50,temp);
[rhom1  ]= eos_sw(50,temp,35);
[rhoc1 ]= density_swSun(50,temp,35);
[rhow2 ]=density_swSpivey(50,temp,35);
[rhom2 ]= eos_swDriesner(50,temp,35);
[rhoc2 ]= density_swUnesco(50,temp,35);


figure(4)
clf
hold on
set(gca,'FontSize',14,'xlim',[0 600]);
xlabel('T / C','FontSize',16)
ylabel('\rho / (kg/dm^3)','FontSize',16)
plot(temp,rhow1./1000,'Color',[0,0.8,1],'LineWidth',2)
plot(temp,rhom1./1000,'-b','LineWidth',2)
plot(temp,rhoc1./1000,'Color',[0,0.6,1],'LineWidth',2)
plot(temp,rhow2./1000,'--k','LineWidth',2)
plot(temp,rhom2./1000,'--g','LineWidth',2)
%plot(temp,rhoc2./1000,'--m','LineWidth',2)
text(4,0.9,'p = 15 MPa','FontSize',12)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('H_2O','Feistel','Sun','Spivey','Driesner','UNESCO','location','West' )
hold off

