function image_heatcond

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 3.8 to 3.9 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temp = [2:1:20];
c1 = heatcond_co2(15,temp);
c2 = heatcond_co2(21,temp);
n1 = heatcond_n2(15,temp);
n2 = heatcond_n2(21,temp);
m1 = heatcond_ch4(15,temp);
m2 = heatcond_ch4(21,temp);
w1 = heatcond_sw(15,temp,35);
w2 = heatcond_sw(21,temp,35);

figure(1)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('\lambda / (W/m/K)','FontSize',16)
plot(temp,m1,'r','LineWidth',2)
plot(temp,c1,'k','LineWidth',2)
plot(temp,n1,'Color',[0.4,0,1],'LineWidth',2)
plot(temp,w1,'b','LineWidth',2)
plot(temp,m2,'--r','LineWidth',2)
plot(temp,c2,'--k','LineWidth',2)
plot(temp,n2,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(temp,w2,'--b','LineWidth',2)
text(4,0.4,'p = 15 MPa','FontSize',12)
legend('CH_4','CO_2 ','N_2','seawater','CH_4','CO_2 ','N_2','seawater', 'location','East' )
hold off

press = [1:1:40];
c1 = heatcond_co2(press,2);
c2 = heatcond_co2(press,20);
m1 = heatcond_ch4(press,2);
m2 = heatcond_ch4(press,20);
w1 = heatcond_sw(press,2,35);
w2 = heatcond_sw(press,20,35);
n1 = heatcond_n2(press,2);
n2 = heatcond_n2(press,20);

figure(2)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40]);
xlabel('p / MPa','FontSize',16)
ylabel('\lambda / (W/m/K)','FontSize',16)
plot(press,m1,'r','LineWidth',2)
plot(press,c1,'k','LineWidth',2)
plot(press,n1,'Color',[0.4,0,1],'LineWidth',2)
plot(press,w1,'b','LineWidth',2)
plot(press,m2,'--r','LineWidth',2)
plot(press,c2,'--k','LineWidth',2)
plot(press,n2,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(press,w2,'--b','LineWidth',2)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
text(4,0.4,'p = 15 MPa','FontSize',12)
legend('CH_4','CO_2 ','N_2','seawater','CH_4','CO_2 ','N_2','seawater', 'location','East' )
hold off

press = [0:10:2100];
temp= press;
temp(1:61) = [23:-18.5/60:4.5];
temp(61:151) = [4.5:-2.5/90:2];
temp(151:211) = [2:18/60:20];

for i = 1:211 
c(i) = heatcond_co2(press(i)./1000.*9.80665+0.1,temp(i));
me(i) = heatcond_ch4(press(i)./1000.*9.80665+0.1,temp(i));
n(i) = heatcond_n2(press(i)./1000.*9.80665+0.1,temp(i));
w(i) = heatcond_sw(press(i)./1000.*9.80665+0.1,temp(i),35);  
end

figure(6)
clf
 title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',14,'ylim',[0 2110],'xlim',[0 0.7]);
ylabel('water depth / m','FontSize',16)
xlabel('\lambda / (W/m/K)','FontSize',16)
plot(me,press,'r','LineWidth',2)
plot(c,press,'k','LineWidth',2)
plot(n,press,'Linestyle','--','Color',[0.4,0,1],'LineWidth',2)
plot(w,press,'b','LineWidth',2)
text(0.585,1600,'seafloor','fontsize',14,'Color',[0.7,0.5,0.5]);
line([0 0.7],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
legend('CH_4','CO_2','N_2','seawater', 'location','North' )
hold off