function  k1 = mkgsol2mkgh2o(k2,S)

% MKGSOL2MKGH2O -  converts equilibrium constants or concentrations from
%       mol/kg{solution} to mol/kg{H2O}
%
%       Usage: k1 = mkgsol2mkgh2o(k2,S)
%
%       Input parameters (scalars, vectors or matrices of SAME size): 
%          k2   -   equlilibrium constant or concentration [mol/kg{solution}]
%          S    -   practical salinity
%   
%       Output parameter:
%          k1   -   equlilibrium constant or concentration [mol/kg{H2O}]
%
%
% ------------------------------------------------------------------
%   written by: Elke Kossel, Matthias Haeckel (February 2013)
%               GEOMAR, Kiel, Germany
%   Disclaimer:
%   This software is provided "as is" without warranty of any kind.
% ------------------------------------------------------------------


%------------------------------------------------------------------------
% Check number of input parameters
%------------------------------------------------------------------------


if nargin < 2
     warning('MKGSOL2MKGH2O:Input','MKGSOL2MKGH2O: Missing input parameter! Please provide k and S!')
else

k1 = k2./(1 - 0.001005.*S);

end
